Download it now!
Bug 117354 - Unable to produce double-line page borders (OpenGL)
Summary: Unable to produce double-line page borders (OpenGL)
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
6.0.3.2 release
Hardware: x86-64 (AMD64) All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: OpenGL Borders Writer-Styles-Page Page-Borders
  Show dependency treegraph
 
Reported: 2018-04-30 19:56 UTC by wsblackhole
Modified: 2019-11-28 04:08 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
Screenshot of dialog (123.12 KB, image/jpeg)
2018-05-02 06:35 UTC, Dieter
Details
Screenshot of box without OpenGL (136.51 KB, image/png)
2018-05-02 13:17 UTC, wsblackhole
Details
Images of borders before and after upgrade (5.37 KB, image/png)
2018-05-02 13:28 UTC, wsblackhole
Details

Note You need to log in before you can comment on or make changes to this bug.
Description wsblackhole 2018-04-30 19:56:32 UTC
Description:
After upgrading to LibreOffice 6.0.x, Writer is unable to produce page borders that are more than a single line. I have tried adding a new double-line page border, but Writer only produces a single line. I also tried opening an old document that previously had a double-border, but in that case I get multiple lines, but they don't line up and lack spacing between them.

Format -> Page -> Borders -> Line Style = any double line option

Steps to Reproduce:
Format -> Page -> Borders -> Line Style = any double line option

Actual Results:  
Single-line page border

Expected Results:
Double-line page border


Reproducible: Always


User Profile Reset: No



Additional Info:


User-Agent: Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/52.0.2743.116 Safari/537.36 Edge/15.15063
Comment 1 Dieter 2018-04-30 20:31:50 UTC
I confirm it with

Version: 6.1.0.0.alpha1+ (x64)
Build ID: 775d0f26beecffccf3ed27a6a011aff20d91f842
CPU threads: 4; OS: Windows 10.0; UI render: GL; 
TinderBox: Win-x86_64@42, Branch:master, Time: 2018-04-26_01:05:25
Locale: en-US (de_DE); Calc: CL
Comment 2 Dieter 2018-04-30 20:36:09 UTC
Seems to be fine, if you disable OpenGL.
Comment 3 wsblackhole 2018-05-01 13:02:12 UTC
(In reply to Dieter Praas from comment #2)
> Seems to be fine, if you disable OpenGL.

I tried to test without OpenGL. However, there is no option for OpenGL in the menu (I looked under Tools ▸ Options ▸ LibreOffice ▸ View) on my system (v 6.0.3.2 on Linux). I restarted in safe mode and confirmed that the problem persisted.
Comment 4 Dieter 2018-05-01 19:54:55 UTC
(In reply to wsblackhole from comment #3)
> (In reply to Dieter Praas from comment #2)
> > Seems to be fine, if you disable OpenGL.
> 
> I tried to test without OpenGL. However, there is no option for OpenGL in
> the menu (I looked under Tools ▸ Options ▸ LibreOffice ▸ View) on my system
> (v 6.0.3.2 on Linux). I restarted in safe mode and confirmed that the
> problem persisted.

Tools => Options => LibreOffice => View => Disable "Use OpenGL for all rendering"
Comment 5 V Stuart Foote 2018-05-01 21:50:42 UTC
Hmm, with OpenGL rendering enabled, I do get the double lines. But the drop list previews are invisible until I increase the size of the Width field >= ~4.0 pt from its default .05 pt.

I also had to check on the User defined "Line Arrangment" to actually show all four borders.

On Windows 10 Ent 64-bit en-US (ver 1709) with Nvidia Quadro K2000 and
Version: 6.1.0.0.alpha1 (x64)
Build ID: cb47f0d320994e001bc38dc2ee9b7d957b15e6ab
CPU threads: 8; OS: Windows 10.0; UI render: GL; 
Locale: en-US (en_US); Calc: group
Comment 6 wsblackhole 2018-05-02 02:08:49 UTC
(In reply to Dieter Praas from comment #4)
> Tools => Options => LibreOffice => View => Disable "Use OpenGL for all
> rendering"

That option does not appear for me. In fact, the word "OpenGL" does not appear anywhere under that menu for me. Under Graphic Output on that menu, I have options for "Use hardware acceleration" and "Use anti-aliasing," but that's it. I've seen images posted online of OpenGL options appearing right below those for others, but it doesn't for me.
Comment 7 Dieter 2018-05-02 06:35:05 UTC
Created attachment 141826 [details]
Screenshot of dialog

See screenshot of dialog. If yours is different and OpenGL-Option is missing, you perhaps should file a new bug report about it
Comment 8 wsblackhole 2018-05-02 13:17:40 UTC
Created attachment 141837 [details]
Screenshot of box without OpenGL

(In reply to Dieter Praas from comment #7)
> Created attachment 141826 [details]
> Screenshot of dialog
> 
> See screenshot of dialog. If yours is different and OpenGL-Option is
> missing, you perhaps should file a new bug report about it

And here is a screenshot of the dialog box that I see without any OpenGL options.
Comment 9 wsblackhole 2018-05-02 13:28:38 UTC
Created attachment 141838 [details]
Images of borders before and after upgrade

Here are some screenshots of the error in three parts:

Top example: Double-line page border as seen in LibreOffice 5.x.

Middle example: Double-line page border from document created in LibreOffice 5.x, but opened in LibreOffice 6.x.

Bottom example: New document in LibreOffice 6.x failing to create double-line page border.

(The page margins were wider in the final example, which is why it appears smaller. This is just laziness on my part and doesn't reflect anything related to the problem.)
Comment 10 Dieter 2018-05-02 13:35:08 UTC
(In reply to wsblackhole from comment #8)
> Created attachment 141837 [details]
> Screenshot of box without OpenGL
> 
> And here is a screenshot of the dialog box that I see without any OpenGL
> options.

Since I don't use Linux I can't say, if this is intended or not. I think you should open a new bug report about it (haven't checked, if such a report already exists).
Comment 11 QA Administrators 2019-11-28 04:08:27 UTC
Dear wsblackhole,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug